Bug 208888 - oocalc crash on changing alignment inside edit cell mode
oocalc crash on changing alignment inside edit cell mode
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
rawhide
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-02 10:43 EDT by Horst H. von Brand
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.0.4-5.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-11 06:55:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
OOo calc crash report (4.62 KB, application/octet-stream)
2006-10-02 10:43 EDT, Horst H. von Brand
no flags Details
A spreadsheet for crashing oocalc (7.50 KB, application/vnd.oasis.opendocument.spreadsheet)
2006-10-02 13:45 EDT, Horst H. von Brand
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 70064 None None None Never

  None (edit)
Description Horst H. von Brand 2006-10-02 10:43:43 EDT
Description of problem:
oocalc crashed on me while trying to center the contents of a cell spanning
several columns

Version-Release number of selected component (if applicable):
openoffice.org-calc-2.0.4-4.2.x86_64

How reproducible:
Always

Steps to Reproduce:
1.Create a sheet with 10 columns:
  - Numbers 1 to 17
  - 9 columns with 2-letter titles
  - Optimal width to all
  - In first row (over titles) merge cells
  - Enter a string
  - Select it, and try to center
  
Actual results:
Crash, all Gnome freezes (had to kill oocal via ssh to get control back, had to
kill the bug report window via mouse close to get at the gnome-terminal from
which to copy the crash report)

Expected results:


Additional info:
Comment 1 Horst H. von Brand 2006-10-02 10:43:43 EDT
Created attachment 137548 [details]
OOo calc crash report
Comment 2 Caolan McNamara 2006-10-02 11:13:28 EDT
Any chance of a .ods which sets up the scenario which will crash when I do the
final stage ? I'm having difficulty in reproducing, I guess I'm probably
mis-understanding a step.
Comment 3 Horst H. von Brand 2006-10-02 13:45:16 EDT
Created attachment 137577 [details]
A spreadsheet for crashing oocalc
Comment 4 Horst H. von Brand 2006-10-02 13:48:23 EDT
On the Gnome terminal from which I launched oocalc it showed:

  Avert a fatal crash

Dunno if this was there last time around.
Comment 5 Horst H. von Brand 2006-10-02 13:50:48 EDT
Just tried on i386, no crash. But the selected text isn't centered either.
Comment 6 Horst H. von Brand 2006-10-02 13:54:52 EDT
Seems a comment got lost...

What I did was to select the "Horst von Brand" text (not the cell) in the
spreadsheet at #3 and asked to center it. No effect, tried right-aligning, etc.
Nothing. Closing oocalc via mouse gave the same crash report as before (diff(1)
shows no difference).
Comment 7 Caolan McNamara 2006-10-03 08:09:39 EDT
Very ugly, input handler has a pointer to a pattern which is deleted by adding
the alignment attribute.

Workaround checked in, reported upstream as
http://www.openoffice.org/issues/show_bug.cgi?id=70064
Comment 8 Horst H. von Brand 2006-10-09 20:36:58 EDT
Fixed as of 2.0.4-5.1 (at least it doesn't crash anymore).

Note You need to log in before you can comment on or make changes to this bug.